Bug 149423 - Firefox does not even attempt to fill in forms and has no form manager
Firefox does not even attempt to fill in forms and has no form manager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-22 16:54 EST by Xander D Harkness
Modified: 2016-06-07 18:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-13 03:07:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xander D Harkness 2005-02-22 16:54:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
Mozilla will attempt to complete web forms and has a form manager to correct any entries it has saved incorrectly.

Firefox has an occasional drop down list, that will more frequently prevent the user from tabbing between fields.  It seems very "Microsoft like" in behaviour - demanding that you click on each field, rather than use the keyboard.

Version-Release number of selected component (if applicable):
firefox-1.0-2.fc3

How reproducible:
Always

Steps to Reproduce:
1.Go to site that requires form filling (such as https://www.sainsburystoyou.com/ and register).
2. Fill in the data once, click enter (on Mozilla you can choose to save form data without having to submit)
3. Log out and refresh the page and all the fields are empty.
  

Actual Results:  The form was empty and firefox demands that you moronically go through each field to be prompted to complete each field.  For a touch typist this is slower because the drop down prompts actually impede the form filling.

Expected Results:  The form should be automatically completed with best efforts, there should also be an option to have a drop down choice of alternatives on each field.

Additional info:
Comment 1 Matthew Miller 2006-07-10 18:44:44 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.